#!/usr/bin/env bash


TEXTFILE_COLLECTOR_DIR=${TEXTFILE_COLLECTOR_DIR:-/var/lib/node_exporter}

PROM_FILE=$TEXTFILE_COLLECTOR_DIR/crashed_services.prom

mapfile -t crashed_services < <(rc-status --crashed)


(
echo "# TYPE crashed_services_count gauge"

if [[ -n "$crashed_services" ]] ; then
  echo "crashed_services_count{services=\"$crashed_services_count\"} $(echo "${crashed_services_count[@]}" | wc -w)"
else
  echo "crashed_services_count 0"
fi
) | sponge "$PROM_FILE"
